import { getReq, postReq, putReq } from '@/utils/requestUtil';

export function getXunJianDownloadUrlApi(idList) {
    return getReq('/ranger/inspection/api/v1/jobs/export', { jobIdList: idList.join(',') });
}

export function addXunJianTaskApi(data) {
    return postReq('/ranger/inspection/api/v1/jobs/temporary', data);
}

export function getRegionInfoApi(id) {
    return getReq(`/ranger/inspection/api/v1/region/${id}`);
}

export function addRegionApi(data) {
    return postReq('/ranger/inspection/api/v1/region', data);
}

export function editRegionApi(data) {
    return putReq(`ranger/inspection/api/v1/region`, data);
}

export function getPlaceInfoApi(id) {
    return getReq(`/ranger/inspection/api/v1/place/${id}`);
}

export function addPlaceApi(data) {
    return postReq('/ranger/inspection/api/v1/place', data);
}

export function editPlaceApi(data) {
    return putReq('/ranger/inspection/api/v1/place', data);
}

export function getExemptionsListApi(data) {
    return getReq(`/ranger/inspection/api/v1/exemptions/valid`, data);
}

export function addUnitApi(data) {
    return postReq('/ranger/inspection/api/v1/units', data);
}

export function editUnitApi(data) {
    return putReq('/ranger/inspection/api/v1/units', data);
}

export function getUnitInfoApi(id) {
    return getReq(`/ranger/inspection/api/v1/units/${id}`);
}

export function addExemptionApi(data) {
    return postReq('/ranger/inspection/api/v1/exemptions', data);
}

export function getExemptionApi(id) {
    return getReq(`ranger/inspection/api/v1/exemptions/${id}`);
}

export function updateExemptionApi(data) {
    return putReq(`/ranger/inspection/api/v1/exemptions`, data);
}
